package com.zsc.edu.gateway.modules.notice.vo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.zsc.edu.gateway.modules.attachment.entity.Attachment;
import com.zsc.edu.gateway.modules.attachment.vo.AttachmentVo;
import com.zsc.edu.gateway.modules.notice.entity.Bulletin;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @author zhuang
 */
@Data
public class BulletinVo {
    private Long id;
    private String title;
    private Bulletin.State state = Bulletin.State.edit;
    private Boolean top;
    private Long editUserId;
    private String editUsername;
    private LocalDateTime editTime;
    private Long publishUserId;
    private String publishUsername;
    private LocalDateTime publishTime;
    private Long closeUserId;
    private String closeUsername;
    private LocalDateTime closeTime;
    private String content;
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private LocalDateTime createTime;
    @TableField(value = "create_by", fill = FieldFill.INSERT)
    private String createBy;
    @TableField(value = "update_time", fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;
    @TableField(value = "update_by", fill = FieldFill.INSERT_UPDATE)
    private String updateBy;
    List<AttachmentVo> attachmentVos;


}
